For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList tariffs
        • POSTCreate tariff
        • GETList an organization's tariffs
        • PUTAssign a tariff
        • DELRemove an assigned tariff
        • GETTariff details
        • DELDelete a tariff
        • PATCHUpdate tariff
        • GETList tariff statuses
        • GETList ratezone statuses
        • GETList tariff ratezones
        • POSTCreate tariff ratezone
        • DELDelete tariff ratezone
        • PATCHUpdate tariff ratezone
        • DELDelete tariff ratezone
        • PUTAssign operator to tariff ratezone coverage
        • DELDelete operator from tariff ratezone coverage
        • POSTCreate ratezone rate
        • DELDelete ratezone rate
        • PUTAssign PDP context definition to tariff
        • DELDelete PDP context definition from tariff
LogoLogo
Request featuresContact support
API ReferenceTariffs

Create ratezone rate

POST
https://cdn.emnify.net/api/v1/tariff/:tariff_id/ratezone/:ratezone_id/rate
POST
/api/v1/tariff/:tariff_id/ratezone/:ratezone_id/rate
$curl -X POST https://cdn.emnify.net/api/v1/tariff/1.1/ratezone/1.1/rate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "rate": 1,
> "volume": 20,
> "currency": {
> "id": 1
> },
> "service": {
> "id": 6
> },
> "valid_from": "2020-02-19T23:00:00.000Z",
> "valid_until": "2020-02-20T07:00:00.000Z"
>}'
201Created
1{}
Creates a rate for a specified ratezone. You cannot have multiple rates for a certain service with overlapping time frame in the same ratezone. You can provide following fields with the request: - `rate` (Double, required) - `volume` (Double, required) - `currency` (Object, required) - only id to specify - `service` (Object, required) - only id to specify - `valid_from` (Date (ISO 8601) optional, Default=Date and Time of creation) - `valid_until` (Date (ISO 8601) optional)
Was this page helpful?
Previous

Delete operator from tariff ratezone coverage

Next

Delete ratezone rate

Built with

Creates a rate for a specified ratezone. You cannot have multiple rates for a certain service with overlapping time frame in the same ratezone.

You can provide following fields with the request:

  • rate (Double, required)
  • volume (Double, required)
  • currency (Object, required) - only id to specify
  • service (Object, required) - only id to specify
  • valid_from (Date (ISO 8601) optional, Default=Date and Time of creation)
  • valid_until (Date (ISO 8601) optional)

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

tariff_iddoubleRequired
Numerical ID of a Tariff
ratezone_iddoubleRequired
ratezone ID

Request

This endpoint expects an object.
ratedoubleRequired
volumeintegerRequired
currencyobjectRequired
serviceobjectRequired
valid_fromstringRequired
valid_untilstringRequired

Response

Resource Created